# Read an actor registration

Source: https://docs.wabe.sh/api-reference/operations/getactor/

`GET https://api.wabe.sh/v1/actor/{name}`

## Authorization

Project API key from the Wabe Dashboard.

## Parameters

- `name` (path, string, required) — Registration name in the current project.

## Responses

### 200

Actor registration.

`application/json`

Schema

```json
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string",
      "format": "uuid",
      "example": "779742ad-cd09-4e1c-9170-f20968b344d4"
    },
    "name": {
      "type": "string",
      "pattern": "^[A-Za-z0-9_-]{1,128}$",
      "example": "chat"
    },
    "disk": {
      "type": "string",
      "pattern": "^[A-Za-z0-9_-]{1,128}$",
      "example": "chat-state",
      "description": "Optional default disk for the public invocation URL."
    },
    "endpoint": {
      "type": "string",
      "format": "uri",
      "example": "https://chat.example.com/wabe"
    },
    "fetchUrlTemplate": {
      "type": "string",
      "example": "https://api.wabe.sh/v1/actor/chat/disks/{disk}/instances/{instance}/fetch"
    }
  },
  "required": [
    "id",
    "name",
    "endpoint",
    "fetchUrlTemplate"
  ]
}
```

### 401

Missing, invalid or revoked project API key.

`application/json`

Schema

```json
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "message": {
          "type": "string"
        }
      },
      "required": [
        "code",
        "message"
      ]
    }
  },
  "required": [
    "error"
  ]
}
```

### 404

Registration not found in this project.

`application/json`

Schema

```json
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "message": {
          "type": "string"
        }
      },
      "required": [
        "code",
        "message"
      ]
    }
  },
  "required": [
    "error"
  ]
}
```

### 503

Actor API temporarily unavailable.

`application/json`

Schema

```json
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "message": {
          "type": "string"
        }
      },
      "required": [
        "code",
        "message"
      ]
    }
  },
  "required": [
    "error"
  ]
}
```
